EntityJSEvents.addGoalSelectors('species:wicked', event => {
    event.arbitraryGoal(1, (e) => {
        return new WizardAttackGoal(e, 1, 40) // Parameters: entity, movement speed modifier, cast interval
            .setSpells(
                [Spell.of('irons_spellbooks:gust')], // Attack
                [Spell.of('irons_spellbooks:heat_surge')], // Defense
                [Spell.of('irons_spellbooks:burning_dash')], // Movement
                [] // Support
            )
    })
})